/* Copyright (c) 2001, Daniel Wexler, All Rights Reserved */
/*
 * $Header: /usr/local/cvsroot/flarg/lib/geometry/vertex.h,v 1.3 2001/12/08 23:30:31 wex Exp $
 *
 * $Log: vertex.h,v $
 * Revision 1.3  2001/12/08 23:30:31  wex
 * Pass viewport in for culling
 *
 * Revision 1.2  2001/11/12 09:08:17  wex
 * Added high level GEOMETRY structure
 *
 * Revision 1.1  2001/10/26 15:48:30  wex
 * First working version
 *
 *
 */

#ifndef _VERTEX_H_
#define _VERTEX_H_

void vertex_increment_ref_count(VERTEX *v);
int vertex_get_edge_lengths_squared(VERTEX *v0, VERTEX *v1, VERTEX *v2,
    VERTEX *v3, MATRIX *l2s, int vp[4], double *e01, double *e12, double *e23,
    double *e30);


#endif  /* _VERTEX_H_ */
