#include "ip_op.h"

static int ip_alpha_from_lum_compute(IP_COMPUTE_INFO *info);


IP_OP *
IP_OP_alpha_from_lum(IP_OP *src)
{
    IP_OP *op;

    op = ip_op_create("alpha_from_lum", ip_alpha_from_lum_compute, NULL, NULL);
    ip_op_add_input(op, "src", src);
    
    return op;
}

static int
ip_alpha_from_lum_compute(IP_COMPUTE_INFO *info)
{
    info->output[0] = info->input[0][0];
    info->output[1] = info->input[0][1];
    info->output[2] = info->input[0][2];
    info->output[3] = 0.30 * info->input[0][0] + 0.59 * info->input[0][1] +
        0.11 * info->input[0][2];

    return 0;
}
