/* Copyright (c) 2001, Daniel Wexler, All Rights Reserved */
/*
 * $Header: /usr/local/cvsroot/flarg/lib/ip/ip_error.c,v 1.1 2001/11/26 21:26:11 wex Exp $
 *
 * $Log: ip_error.c,v $
 * Revision 1.1  2001/11/26 21:26:11  wex
 * Basic image processing engine for point to point operations
 *
 *
 */
#include <stdio.h>
#include <stdarg.h>
#include <string.h>
#include <errno.h>

#include "ip.h"

int IP_errno = IP_ERR_NONE;

char *
IP_error_string(void)
{
	switch (IP_errno) {
	case IP_ERR_NONE:
		return "No error";
	case IP_ERR_MEMORY:
		return "Out of memory";
	}

	return "Unknown error";
}
