/* Copyright (c) 2001, Daniel Wexler, All Rights Reserved */
/*
 * $Header: /usr/local/cvsroot/flarg/lib/matrix/matrix_error.c,v 1.2 2001/07/17 09:37:26 wex Exp $
 *
 * $Log: matrix_error.c,v $
 * Revision 1.2  2001/07/17 09:37:26  wex
 * Added glue
 *
 * Revision 1.1  2001/07/17 03:32:39  wex
 * Added
 *
 *
 */
#include <stdio.h>
#include <stdarg.h>
#include <string.h>
#include <errno.h>

#include "matrix.h"

int MATRIX_errno = MATRIX_ERR_NONE;

char *
MATRIX_error_string(void)
{
	switch (MATRIX_errno) {
	case MATRIX_ERR_NONE:
		return "No error";
	case MATRIX_ERR_MEMORY:
		return "Out of memory";
    case MATRIX_ERR_NOINVERSE:
        return "Matrix has no inverse";
	}

	return "Unknown error";
}
