/* Copyright (c) 2001, Daniel Wexler, All Rights Reserved */
/*
 * $Header: /usr/local/cvsroot/flarg/lib/pool/pool_error.c,v 1.1 2001/12/21 07:12:11 wex Exp $
 *
 * $Log: pool_error.c,v $
 * Revision 1.1  2001/12/21 07:12:11  wex
 * Initial working version.
 *
 *
 */
#include <stdio.h>
#include <stdarg.h>
#include <string.h>
#include <errno.h>

#include "pool.h"

int POOL_errno = POOL_ERR_NONE;

char *
POOL_error_string(void)
{
	switch (POOL_errno) {
	case POOL_ERR_NONE:
		return "No error";
	case POOL_ERR_MEMORY:
		return "Out of memory";
	}

	return "Unknown error";
}
