/* Copyright (c) 2001, Daniel Wexler, All Rights Reserved */
/*
 * $Header: /usr/local/cvsroot/flarg/lib/zb/zb_error.c,v 1.1 2001/10/26 15:48:42 wex Exp $
 *
 * $Log: zb_error.c,v $
 * Revision 1.1  2001/10/26 15:48:42  wex
 * First working version
 *
 *
 */

#include <stdio.h>
#include <stdarg.h>
#include <string.h>
#include <errno.h>

#include <list.h>
#include <image.h>

#include "zb.h"

int ZB_errno = ZB_ERR_NONE;

char *
ZB_error_string(void)
{
	switch (ZB_errno) {
	case ZB_ERR_NONE:
		return "No error";
	case ZB_ERR_MEMORY:
		return "Out of memory";
    case ZB_ERR_LIST:
        return LIST_error_string();
    case ZB_ERR_IMAGE:
        return IMAGE_error_string();
    case ZB_ERR_FILENAME:
        return "Invalid filename";
    }

	return "Unknown error";
}
