/* Copyright (c) 2001, Daniel Wexler, All Rights Reserved */
/*
 * $Header: /usr/local/cvsroot/flarg/lib/geometry/geometry_error.c,v 1.1 2001/10/26 15:48:30 wex Exp $
 *
 * $Log: geometry_error.c,v $
 * Revision 1.1  2001/10/26 15:48:30  wex
 * First working version
 *
 *
 */

#include <stdio.h>
#include <stdarg.h>
#include <string.h>
#include <errno.h>

#include "geometry.h"

int GEOMETRY_errno = GEOMETRY_ERR_NONE;

char *
GEOMETRY_error_string(void)
{
	switch (GEOMETRY_errno) {
	case GEOMETRY_ERR_NONE:
		return "No error";
	case GEOMETRY_ERR_MEMORY:
		return "Out of memory";
	}

	return "Unknown error";
}
