/* Copyright (c) 2001, Daniel Wexler, All Rights Reserved */
/*
 * $Header$
 *
 * $Log$
 *
 */

#include "ip.h"

struct ip_map {
    IMAGE **level;
    int nlevels;
};


IP_MAP *IP_MAP_create(IMAGE *image);
IP_MAP *IP_MAP_read(int fd);
void IP_MAP_destroy(IP_MAP *map);
int IP_MAP_write(IP_MAP *map);
int IP_MAP_sample(IP_MAP *map, double u, double v, double du, double dv);
