/* Copyright (c) 2001, Daniel Wexler, All Rights Reserved */
/*
 * $Header: /usr/local/cvsroot/flarg/lib/list/list_error.c,v 1.1 2001/10/26 15:48:38 wex Exp $
 *
 * $Log: list_error.c,v $
 * Revision 1.1  2001/10/26 15:48:38  wex
 * First working version
 *
 *
 */
#include <stdio.h>
#include <stdarg.h>
#include <string.h>
#include <errno.h>

#include "list.h"

int LIST_errno = LIST_ERR_NONE;

char *
LIST_error_string(void)
{
	switch (LIST_errno) {
	case LIST_ERR_NONE:
		return "No error";
	case LIST_ERR_MEMORY:
		return "Out of memory";
	}

	return "Unknown error";
}
