/* Copyright (c) 2001, Daniel Wexler, All Rights Reserved */
/*
 * $Header: /usr/local/cvsroot/flarg/lib/pool/pool_internal.h,v 1.1 2001/12/21 07:12:11 wex Exp $
 *
 * $Log: pool_internal.h,v $
 * Revision 1.1  2001/12/21 07:12:11  wex
 * Initial working version.
 *
 *
 */

#ifndef _POOL_INTERNAL_H_
#define _POOL_INTERNAL_H_

#include <list.h>

#include "pool.h"


typedef struct pool_node {
    struct pool_node *next;
} POOL_NODE;

typedef struct pool_block {
    LIST_ELEMENT list_element;
    void *data;
    unsigned long count;
} POOL_BLOCK;

struct pool {
    int item_size;
    int items_per_block;
    LIST *block_list;
    POOL_NODE *free_list;
};


#endif /* _POOL_INTERNAL_H_ */
