/* Copyright (c) 2001, Daniel Wexler, All Rights Reserved */
/*
 * $Header: /usr/local/cvsroot/flarg/lib/shader/shader_error.c,v 1.1 2001/10/26 15:48:41 wex Exp $
 *
 * $Log: shader_error.c,v $
 * Revision 1.1  2001/10/26 15:48:41  wex
 * First working version
 *
 *
 */

#include <stdio.h>
#include <stdarg.h>
#include <string.h>
#include <errno.h>

#include "shader.h"

int SHADER_errno = SHADER_ERR_NONE;

char *
SHADER_error_string(void)
{
	switch (SHADER_errno) {
	case SHADER_ERR_NONE:
		return "No error";
	case SHADER_ERR_MEMORY:
		return "Out of memory";
	}

	return "Unknown error";
}
